package com.jpsoft.shinestar.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.dto.WatchMeasureCurve;
import com.jpsoft.shinestar.modules.base.entity.WatchMeasure;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

public interface WatchMeasureService {
	WatchMeasure get(String id);
	boolean exist(String id);
	int insert(WatchMeasure model);
	int update(WatchMeasure model);
	int delete(String id);
	List<WatchMeasure> list();
	Page<WatchMeasure> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
	String getWatchNewData(String deviceNo, String name);
	List<WatchMeasureCurve> getCurveData(String deviceNo, String name, int limit);
	List<WatchMeasureCurve> getLbsData(String deviceNo, String startTime, String endTime);
	WatchMeasure getLastDataByDay(String deviceNo, String name, String date);
}